# ApiRangerReplicationHdfsToS3Args Data Model

Arguments for transforming HDFS Ranger service policies to Amazon S3 policies.

Note that it's relevant only if any of the Ranger services to be replicated contain HDFS Ranger service type and replication will be done from on-prem to S3.

Properties
name | data type | description
--- | --- | ---
s3BucketName | string | Amazon S3 bucket name for Ranger HDFS policies which need to be transformed to S3 policy.

Example

    {
      "s3BucketName" : "..."
    }